﻿using GrapeCity.Documents.Pdf;
using System;
using System.Collections.Generic;
using System.Security.Cryptography.X509Certificates;
using System.Text;

namespace GcPdfViewerSupportApi.Models
{
    public class SupportApiSettings
    {
        /// <summary>
        /// Contains additional options using during redact action.
        /// </summary>
        public RedactOptions RedactOptions { get; set; }

        /// <summary>
        /// Gets or sets a certificate used to generate a digital signature
        /// </summary>
        public X509Certificate2 Certificate { get; set; }
    }
}
